Debian Bug report logs - #726432
ITP: libjdom2-java -- Java API for accessing, manipulating and outputting XML data

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Emmanuel Bourg <ebourg@apache.org>

Date: Tue, 15 Oct 2013 17:33:02 UTC

Owned by: Emmanuel Bourg <ebourg@apache.org>

Severity: wishlist

Fixed in version libjdom2-java/2.0.5-1

Done: Emmanuel Bourg <ebourg@apache.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#726432; Package wnpp. (Tue, 15 Oct 2013 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bourg <ebourg@apache.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 15 Oct 2013 17:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libjdom2-java -- Java API for accessing, manipulating and outputting XML data
Date: Tue, 15 Oct 2013 19:31:40 +0200
Package: wnpp
Severity: wishlist
Owner: Emmanuel Bourg <ebourg@apache.org>

* Package name    : libjdom2-java
  Version         : 2.0.5
  Upstream Author : Jason Hunter, Rolf Lear
* URL             : http://www.jdom.org
* License         : BSD
  Programming Lang: Java
  Description     : Java API for accessing, manipulating and outputting
XML data

JDOM provides a solution for using XML from Java that is as simple as
Java itself.

There is no compelling reason for a Java API to manipulate XML to be
complex, tricky, unintuitive, or a pain in the neck. JDOM is both
Java-centric and Java-optimized. It behaves like Java, it uses Java
collections, it is completely natural API for current Java developers,
and it provides a low-cost entry point for using XML.

While JDOM interoperates well with existing standards such as the Simple
API for XML (SAX) and the Document Object Model (DOM), it is not an
abstraction layer or enhancement to those APIs. Rather, it provides a
robust, light-weight means of reading and writing XML data without the
complex and memory-consumptive options that current API offerings provide.

This package is a spin-off of libjdom1-java. The new 2.0 API is not
compatible with the previous one and requires a new package.



Reply sent to Emmanuel Bourg <ebourg@apache.org>:
You have taken responsibility. (Wed, 12 Mar 2014 12:03:05 GMT) Full text and rfc822 format available.

Notification sent to Emmanuel Bourg <ebourg@apache.org>:
Bug acknowledged by developer. (Wed, 12 Mar 2014 12:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 726432-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: 726432-close@bugs.debian.org
Subject: Bug#726432: fixed in libjdom2-java 2.0.5-1
Date: Wed, 12 Mar 2014 12:00:06 +0000
Source: libjdom2-java
Source-Version: 2.0.5-1

We believe that the bug you reported is fixed in the latest version of
libjdom2-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 726432@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebourg@apache.org> (supplier of updated libjdom2-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 01 Nov 2013 20:30:05 +0200
Source: libjdom2-java
Binary: libjdom2-java libjdom2-java-doc
Architecture: source all
Version: 2.0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebourg@apache.org>
Description: 
 libjdom2-java - lightweight and fast library using XML
 libjdom2-java-doc - lightweight and fast library using XML - documentation
Closes: 726432
Changes: 
 libjdom2-java (2.0.5-1) unstable; urgency=low
 .
   * New upstream release (Closes: #726432)
     - Updated debian/watch
     - Updated debian/copyright to acknowledge the new contributors
     - source/target changed to 1.6
     - New build dependencies on libisorelax-java and libxalan2-java
     - Removed the build dependency on libregexp-java
     - Updated the OSGi metadata
     - Updated the Maven pom
   * Use XZ compression for the upstream tarball
Checksums-Sha1: 
 7932ae189d1c0e5d0ab17f6d9c2bd4d3fa19f3cd 2157 libjdom2-java_2.0.5-1.dsc
 cb137154bbfded8dc9439086e3c251ddfab06bdd 465884 libjdom2-java_2.0.5.orig.tar.xz
 960c31820d92c1a8ba9d79e2b6cf181e3bc53aa3 8276 libjdom2-java_2.0.5-1.debian.tar.xz
 751075c6f5aeae37c53094fd70ebac6fa8ff6db5 314264 libjdom2-java_2.0.5-1_all.deb
 37a41df23a3d4125ee50f17db7da4f0bb24d0279 290464 libjdom2-java-doc_2.0.5-1_all.deb
Checksums-Sha256: 
 e4c08352cabf62e65693e30460fd874b46430a3fa043e88630c5340ebc7155cf 2157 libjdom2-java_2.0.5-1.dsc
 3bab01f1e1720b77f7ce180210d4df44a671a30097000ea8a7f13d2902491b55 465884 libjdom2-java_2.0.5.orig.tar.xz
 1c4273aada965caa96068fb1508068b1212765619f095971155662715634cdc8 8276 libjdom2-java_2.0.5-1.debian.tar.xz
 b9ff067fb2a0579d18dee7a42e5ec773124dd8b2e77659569da6ae2c4c30f006 314264 libjdom2-java_2.0.5-1_all.deb
 9394e6a73032f5652b082e5ebfbe9061eaffb1150c804a7a8acac52cbcfed829 290464 libjdom2-java-doc_2.0.5-1_all.deb
Files: 
 2ce25e49dbb235675a0b76f3f1119eb1 2157 java optional libjdom2-java_2.0.5-1.dsc
 2eeff97b96da6a5bfbd5d430c56432e6 465884 java optional libjdom2-java_2.0.5.orig.tar.xz
 caca50482fab85d6ccd5db9221f1aa7c 8276 java optional libjdom2-java_2.0.5-1.debian.tar.xz
 6ca68272f54ef53f43d2a3bc85572b46 314264 java optional libjdom2-java_2.0.5-1_all.deb
 419bb249198272527d282e978c22dfb2 290464 doc optional libjdom2-java-doc_2.0.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJS4IXvAAoJECHSBYmXSz6Wzm4QAMRWfiOBSoXTqs+Jo0F3W+U8
vNFD+KZvXI79bbpkvB9t5JQPYc87HPQBAeRseaKgEB0RTdsiWEWD4XBzcmliohPO
rW7hQmAADGiOjBET0Jz4y+6/IkZ/dyHLqLrqLFAL4rXBgpHOJViChEy1NJs2kTrr
SgU4aqO8tI/3nhmkuyMaonqiusTwxh2VM3znttbLmQLOEA367zCkECfsMQRLrxQg
qbKuPRw5IFWHF0zg8pdHQj9skxk6jBvNICVycbZcavNwhc2UQa56iaUwIgbFwYqj
YPJ/w0NnPMhABPonGY6lil2JBsDvvpSvkmAPvA4IirntWgLNVKm++/mqiwe/5lhO
/HWaIkKwu3YLQtUdz/ZB5pnBTfJsLm5USy/FfavSpYcR1gb2hMdUJafGjimu5GpG
e8XSlxaX2XSO/vIe/RwP64Junfp9XjYnlhtT4sIN6vaxsjqgyOepiqArIdcTmbud
rp9GoDQCcBnVpFjSoydTG+Dkgd6wI/+Dm1KkF5W1b+3ZZMFNfzGqJCbfMXnIIp3r
PSdw+18qeZVmjloRfIyraAg3g426cJc+TEue7HKqa/0AV5DkyvfWPu7b4GmYh5XY
127CtBWERVIO3Q6j34R0TGmnjBVq3sWerJlHZzB4ShyrwYbg+MY063MJlZVHnsOh
xSvgGeiQypnZAI239sl1
=FcEN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Apr 2014 07:26:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:41:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.